Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

PUT /v1/commerce/products/{productID}

PUT/v1/commerce/products/{productID}
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Path parameters
productIDstringrequired
Request body
requiredapplication/json
activebooleanrequired
categorystring
category_idstring
compare_at_price_amountinteger<int64>
currencystring
descriptionstring
image_urlstring
option_dimensionsProductOptionDimension[] | null
Show properties
Array of ProductOptionDimension
titlestringrequired
valuesstring[] | nullrequired
price_amountinteger<int64>required
min 0
product_imagesstring[] | null
product_typestring
Allowed:physicaldigitalappointmentservicesubscriptionbooking
skustring
stock_policystring
Allowed:trackunlimitedpreorder
stock_qtyinteger<int32>
min 0
tagsstring[] | null
titlestringrequired
type_configProductTypeConfig
Show properties
booking_blackout_datesstring[] | null
booking_buffer_minutesinteger<int32>
booking_capacity_per_slotinteger<int32>
booking_date_overridesBookingDateOverride[] | null
Show properties
Array of BookingDateOverride
datestringrequired
unavailableboolean
windowsOverrideWindow[] | null
Show properties
Array of OverrideWindow
closestringrequired
openstringrequired
booking_duration_minutesinteger<int32>
booking_lead_time_minutesinteger<int32>
booking_meeting_urlstring
booking_modestring
booking_schedule_enabledboolean
booking_service_hoursServiceHour[] | null
Show properties
Array of ServiceHour
closestringrequired
openstringrequired
weekdayinteger<int64>required
booking_session_startsstring[] | null
booking_slot_interval_minutesinteger<int32>
booking_staff_idsstring[] | null
booking_staff_requiredboolean
booking_window_daysinteger<int32>
digital_delivery_urlstring
max_sellable_qtyinteger<int32>
prepaid_deliveriesinteger<int32>
sales_end_atstring
sales_start_atstring
video_conferencestring
weight_gramsinteger<int64>
Responses
200OK
activebooleanrequired
categorystring
category_idstring
compare_at_price_amountinteger<int64>
currencystring
descriptionstring
idstringrequired
image_urlstring
option_dimensionsProductOptionDimension[] | null
Show properties
Array of ProductOptionDimension
titlestringrequired
valuesstring[] | nullrequired
optionsProductOption[] | null
Show properties
Array of ProductOption
choicesstring[] | null
idstringrequired
namestringrequired
option_typestringrequired
price_delta_amountinteger<int64>required
product_idstringrequired
requiredbooleanrequired
organization_idstringrequired
price_amountinteger<int64>required
product_imagesstring[] | null
product_typestring
remaining_quotainteger<int64>
retailer_idstring
sales_closed_reasonstring
sales_ends_atstring
sales_openboolean
skustring
slugstring
stock_policystring
stock_qtyinteger<int32>
tagsstring[] | null
titlestringrequired
type_configProductTypeConfig
Show properties
booking_blackout_datesstring[] | null
booking_buffer_minutesinteger<int32>
booking_capacity_per_slotinteger<int32>
booking_date_overridesBookingDateOverride[] | null
Show properties
Array of BookingDateOverride
datestringrequired
unavailableboolean
windowsOverrideWindow[] | null
Show properties
Array of OverrideWindow
closestringrequired
openstringrequired
booking_duration_minutesinteger<int32>
booking_lead_time_minutesinteger<int32>
booking_meeting_urlstring
booking_modestring
booking_schedule_enabledboolean
booking_service_hoursServiceHour[] | null
Show properties
Array of ServiceHour
closestringrequired
openstringrequired
weekdayinteger<int64>required
booking_session_startsstring[] | null
booking_slot_interval_minutesinteger<int32>
booking_staff_idsstring[] | null
booking_staff_requiredboolean
booking_window_daysinteger<int32>
digital_delivery_urlstring
max_sellable_qtyinteger<int32>
prepaid_deliveriesinteger<int32>
sales_end_atstring
sales_start_atstring
video_conferencestring
weight_gramsinteger<int64>
variantsProductVariant[] | null
Show properties
Array of ProductVariant
digital_delivery_urlstring
idstringrequired
image_urlstring
option_valuesobject
price_amountinteger<int64>
price_delta_amountinteger<int64>required
product_idstringrequired
skustring
stock_qtyinteger<int32>required
titlestringrequired
whatsapp_catalog_syncWhatsAppCatalogSyncPrefs
Show properties
catalog_idstring
channel_idstring
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X PUT "/v1/commerce/products/string" \
  -H "Content-Type: application/json" \
  -d '{
  "active": true,
  "category": "string",
  "category_id": "string",
  "compare_at_price_amount": 0,
  "currency": "string",
  "description": "string",
  "image_url": "string",
  "option_dimensions": [
    {
      "title": "string",
      "values": [
        "string"
      ]
    }
  ],
  "price_amount": 0,
  "product_images": [
    "string"
  ],
  "product_type": "physical",
  "sku": "string",
  "stock_policy": "track",
  "stock_qty": 0,
  "tags": [
    "string"
  ],
  "title": "string",
  "type_config": {
    "booking_blackout_dates": [
      "string"
    ],
    "booking_buffer_minutes": 0,
    "booking_capacity_per_slot": 0,
    "booking_date_overrides": [
      {
        "date": "string",
        "unavailable": true,
        "windows": [
          {
            "close": "string",
            "open": "string"
          }
        ]
      }
    ],
    "booking_duration_minutes": 0,
    "booking_lead_time_minutes": 0,
    "booking_meeting_url": "string",
    "booking_mode": "string",
    "booking_schedule_enabled": true,
    "booking_service_hours": [
      {
        "close": "string",
        "open": "string",
        "weekday": 0
      }
    ],
    "booking_session_starts": [
      "string"
    ],
    "booking_slot_interval_minutes": 0,
    "booking_staff_ids": [
      "string"
    ],
    "booking_staff_required": true,
    "booking_window_days": 0,
    "digital_delivery_url": "string",
    "max_sellable_qty": 0,
    "prepaid_deliveries": 0,
    "sales_end_at": "string",
    "sales_start_at": "string",
    "video_conference": "string",
    "weight_grams": 0
  }
}'
Response
{
  "active": true,
  "category": "string",
  "category_id": "string",
  "compare_at_price_amount": 0,
  "currency": "string",
  "description": "string",
  "id": "string",
  "image_url": "string",
  "option_dimensions": [
    {
      "title": "string",
      "values": [
        "string"
      ]
    }
  ],
  "options": [
    {
      "choices": [
        "string"
      ],
      "id": "string",
      "name": "string",
      "option_type": "string",
      "price_delta_amount": 0,
      "product_id": "string",
      "required": true
    }
  ],
  "organization_id": "string",
  "price_amount": 0,
  "product_images": [
    "string"
  ],
  "product_type": "string",
  "remaining_quota": 0,
  "retailer_id": "string",
  "sales_closed_reason": "string",
  "sales_ends_at": "string",
  "sales_open": true,
  "sku": "string",
  "slug": "string",
  "stock_policy": "string",
  "stock_qty": 0,
  "tags": [
    "string"
  ],
  "title": "string",
  "type_config": {
    "booking_blackout_dates": [
      "string"
    ],
    "booking_buffer_minutes": 0,
    "booking_capacity_per_slot": 0,
    "booking_date_overrides": [
      {
        "date": "string",
        "unavailable": true,
        "windows": [
          {
            "close": "string",
            "open": "string"
          }
        ]
      }
    ],
    "booking_duration_minutes": 0,
    "booking_lead_time_minutes": 0,
    "booking_meeting_url": "string",
    "booking_mode": "string",
    "booking_schedule_enabled": true,
    "booking_service_hours": [
      {
        "close": "string",
        "open": "string",
        "weekday": 0
      }
    ],
    "booking_session_starts": [
      "string"
    ],
    "booking_slot_interval_minutes": 0,
    "booking_staff_ids": [
      "string"
    ],
    "booking_staff_required": true,
    "booking_window_days": 0,
    "digital_delivery_url": "string",
    "max_sellable_qty": 0,
    "prepaid_deliveries": 0,
    "sales_end_at": "string",
    "sales_start_at": "string",
    "video_conference": "string",
    "weight_grams": 0
  },
  "variants": [
    {
      "digital_delivery_url": "string",
      "id": "string",
      "image_url": "string",
      "option_values": {},
      "price_amount": 0,
      "price_delta_amount": 0,
      "product_id": "string",
      "sku": "string",
      "stock_qty": 0,
      "title": "string"
    }
  ],
  "whatsapp_catalog_sync": {
    "catalog_id": "string",
    "channel_id": "string"
  }
}